Skip to main content
PATCH
/
domain-groups
curl --request PATCH \ --url https://api.geogen.io/v1/domain-groups \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "groupId": "jh71abc...", "name": "Acme Worldwide" } '
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "primaryEntityUuid": "<string>",
    "entityTrackingId": "<string>",
    "entities": [
      {
        "entityId": "<string>",
        "entityUuid": "<string>",
        "name": "<string>",
        "target": "<string>",
        "faviconUrl": "<string>",
        "isPrimary": true,
        "inWorkspace": true
      }
    ],
    "createdAt": 123,
    "updatedAt": 123
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.geogen.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Format: Bearer wsk_your_api_key

Body

application/json
groupId
string
required

The ID of the domain group to update.

name
string

New display name for the group.

primaryEntity
string

New primary entity reference (entityId or entity UUID). Must be present in entities.

entities
string[]

Replacement set of 2+ entity references.

Minimum array length: 2

Response

Domain group updated successfully.

success
boolean
data
object

A group of entities that represent the same brand. Analytics for grouped entities are merged across all pages and responses.

message
string